> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Token

> Revokes an access or refresh token.




## OpenAPI

````yaml /api-reference/authentication-openapi.yaml post /protocol/openid-connect/revoke
openapi: 3.1.0
info:
  title: Keycloak OIDC Auth API
  version: 1.0.0
  description: |
    OpenAPI definition for the Keycloak OpenID Connect/OAuth2 endpoints
    for the "catena" realm at https://auth.catenatelematics.com/realms/catena.
servers:
  - url: https://auth.catenatelematics.com/realms/catena
    description: Catena Telematics Authentication Server
security: []
tags:
  - name: OAuth 2.0
    description: OAuth 2.0 token generation and management endpoints for API authentication
paths:
  /protocol/openid-connect/revoke:
    post:
      tags:
        - OAuth 2.0
      summary: Revoke Token
      description: |
        Revokes an access or refresh token.
      operationId: revokeToken
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                token:
                  type: string
                  description: The token to revoke.
                  example: ''
                client_id:
                  type: string
                  description: Your client identifier.
                  example: ''
                client_secret:
                  type: string
                  format: password
                  description: Your client secret.
                  example: ''
              required:
                - token
                - client_id
                - client_secret
      responses:
        '200':
          description: Token successfully revoked (body may be empty).
        '401':
          description: Invalid client authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error: invalid_client
                error_description: Invalid client or Invalid client credentials
components:
  schemas:
    ErrorResponse:
      type: object
      description: Error response from the authentication server.
      properties:
        error:
          type: string
          description: Error code.
        error_description:
          type: string
          description: Human-readable error description.
      required:
        - error

````